%define pypi_name	pyserial
%define module		serial

Name:		python-serial
Version:	3.5
Release:	%mkrel 7

Summary:	Python serial port extension
License:	Python
Group:		Development/Python
URL:		https://pyserial.sourceforge.net/
Source0:	https://pypi.io/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	dos2unix

%description
This module encapsulates the access for the serial port.
It provides backends for Python running on Windows, Linux, BSD (possibly any
POSIX compilant system) and Jython. The module named "serial" automatically
selects the appropriate backend.

%package -n python3-%{module}
Summary:	Python 3 serial port extension
Group:		Development/Python
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(sphinx)
%{?python_provide:%python_provide python3-%{module}}
%{?python_provide:%python_provide python3-%{pypi_name}}
Provides:	python3-%{pypi_name} = %{version}-%{release}
Obsoletes:	python3-pyserial < 3.5-2

%description -n python3-%{module}
This module encapsulates the access for the serial port.
It provides backends for Python running on Windows, Linux, BSD (possibly any
POSIX compilant system) and Jython. The module named "serial" automatically
selects the appropriate backend.

%package -n python-%{module}-doc
Summary:	pyserial documentation
Group:		Documentation
Provides:	python-%{pypi_name}-doc = %{version}-%{release}
Obsoletes:	python-pyserial-doc < 3.5-2

%description -n python-%{module}-doc
Documentation for pyserial.

%prep
%setup -q -n %{pypi_name}-%{version}

#fix shebangs
perl -pi -e "s/#! python/#!\/usr\/bin\/env python/" serial/*.py
perl -pi -e "s/#!jython/#!\/usr\/bin\/env jython/" serial/*.py

#fix EOL
dos2unix examples/port_publisher.py

%autopatch -p1

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 documentation html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files serial

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGES.rst PKG-INFO README.rst examples
%license LICENSE.txt
%{_bindir}/pyserial-miniterm
%{_bindir}/pyserial-ports

%files -n python-%{module}-doc
%doc html
%license LICENSE.txt


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 3.5-7.mga10
+ Revision: 2237981
- Mageia 10 Mass Rebuild

* Sat Mar 01 2025 daviddavid <daviddavid> 3.5-6.mga10
+ Revision: 2154175
- rebuild for python 3.13

* Tue Dec 19 2023 daviddavid <daviddavid> 3.5-5.mga10
+ Revision: 2019777
- rebuild for py3.12

* Mon Jun 26 2023 daviddavid <daviddavid> 3.5-4.mga9
+ Revision: 1963151
- obsoletes wrongly imported python-pyserial and add virtual
  provides on python3-pyserial
- switch to pyproject
- enable html doc

* Wed Mar 23 2022 umeabot <umeabot> 3.5-3.mga9
+ Revision: 1822392
- Mageia 9 Mass Rebuild

* Sat Feb 12 2022 tv <tv> 3.5-2.mga9
+ Revision: 1773460
- Rebuild for python-3.10

* Sun Jan 23 2022 barjac <barjac> 3.5-1.mga9
+ Revision: 1769540
- new version 3.5
- adjust files list

* Fri Mar 19 2021 neoclust <neoclust> 3.4-6.mga9
+ Revision: 1704944
- Rebuild against python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 3.4-5.mga8
+ Revision: 1535639
- Mageia 8 Mass Rebuild

* Sun Oct 13 2019 wally <wally> 3.4-4.mga8
+ Revision: 1452622
- BR setuptools to get egg-info

* Fri Oct 11 2019 tv <tv> 3.4-3.mga8
+ Revision: 1451719
- rebuild with python 3.8

* Thu Sep 05 2019 wally <wally> 3.4-2.mga8
+ Revision: 1437647
- rebuidl for python3.8
- drop python2 support

* Fri Apr 26 2019 daviddavid <daviddavid> 3.4-1.mga7
+ Revision: 1395535
- new version: 3.4 (mga#24722)
- rename python-serial to python2-serial

* Sat Jan 05 2019 wally <wally> 2.7-6.mga7
+ Revision: 1349572
- rebbuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.7-5.mga7
+ Revision: 1290017
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 2.7-4.mga7
+ Revision: 1135627
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 2.7-3.mga6
+ Revision: 970989
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 2.7-2.mga6
+ Revision: 888869
- rebuild for python 3.5

* Thu Sep 24 2015 philippem <philippem> 2.7-1.mga6
+ Revision: 883370
- update to 2.7

* Wed Oct 15 2014 umeabot <umeabot> 2.6-7.mga5
+ Revision: 745405
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.6-6.mga5
+ Revision: 729755
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.6-5.mga5
+ Revision: 688324
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.6-4.mga5
+ Revision: 629005
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.6-3.mga4
+ Revision: 544232
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.6-2.mga4
+ Revision: 499349
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 01 2013 philippem <philippem> 2.6-1.mga4
+ Revision: 474143
- update to 2.6, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 2.5-3.mga3
+ Revision: 379490
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri May 13 2011 anssi <anssi> 2.5-2.mga1
+ Revision: 98021
- fix license tag
- imported package python-serial


* Tue Nov 02 2010 Jani Välimaa <wally@mandriva.org> 2.5-1mdv2011.0
+ Revision: 592136
- new version 2.5
- don't use recorded file list as it contains non-installed files
- don't set executable bit for examples
- ease python BR
- fix EOLs
- clean spec a bit

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 2.4-3mdv2010.0
+ Revision: 442482
- rebuild

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 2.4-2mdv2009.1
+ Revision: 324112
- rebuild

* Sat Jul 12 2008 Guillaume Bedot <littletux@mandriva.org> 2.4-1mdv2009.0
+ Revision: 234052
- 2.4
- rpm spec policy proposal changes
- fixed license

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Apr 17 2007 Guillaume Bedot <littletux@mandriva.org> 2.2-4mdv2008.0
+ Revision: 13985
- 2008 build ( should also build on previous versions )


* Wed Mar 07 2007 Guillaume Bedot <littletux@mandriva.org> 2.2-3mdv2007.0
+ Revision: 134430
- mention bug report
- fixed typo in filename
- rebuilt for python 2.5 (added egg-info file)
- moved to svn
- Created package structure for python-serial.

